%define ShortName ananas

Name: ananas-engine-qt
Version: 0.9.3
Release: alt0.cvs20070106

Summary: Runtime and development environment of Finance Applications
Summary(ru_RU.UTF8):	Среда разработки и исполнения прикладных решений автоматизации оперативного, бухгалтерского и других видов учета.

License: GPL
Url: http://ananas.lrn.ru/
Group: Office

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

#Requires:       %(if [ -e %_sysconfdir/altlinux-release ] ; then echo "MySQL-server >= 4.1 "; else echo "mysql-server >= 4.1 "; fi)
#Requires:       %(if [ -e %_sysconfdir/altlinux-release ] ; then echo "MySQL-client >= 4.1 "; else echo "mysql >= 4.1 "; fi)
#Requires:       %(if [ -e %_sysconfdir/altlinux-release ] ; then echo "libpq3"; else echo "postgresql"; fi)
#Requires:       %(if [ -e %_sysconfdir/altlinux-release ] ; then echo "libqt3 >= 3.2"; else echo "qt >= 3.2.0"; fi)
#Requires:       %(if [ -e %_sysconfdir/altlinux-release ] ; then echo "libqt3-qsa >= 3.2"; else echo "qsa >= 1.1"; fi)
#Requires:       %(if [ -e %_sysconfdir/altlinux-release ] ; then echo "qt3-designer >= 3.2"; else echo "qt-designer >= 3.2" ;fi)

# Due strange plugin linking
Provides: libananasplugin.so

# Automatically added by buildreq on Sat Jan 06 2007
BuildRequires: gcc-c++ kdepim-devel libMySQL-devel libqscintilla-designer libqt3-qsa-devel libqwt-devel libXext-devel qt3-designer tradeequip-devel

%description
Ananas is  an Accounting Application Framework for Small Businesses.

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>
Andrey Paskal <app at lrn dot ru>
Andrey Strelnikov <avsone at yandex dot ru>
Pavel Mikolaychuk <Pashik at bk dot ru>
Alexander Kovalyov <cibfx at bk dot ru>
Grigory Panov <gr1313 at mail dot ru>

%description -l ru_RU.UTF8
Платформа Ананас предназначена для автомматизации малых и средних предприятий.
Обеспечивает автоматизацию ведения оперативного и бухгалтерского учета.
Платформа позволяет создавать приложения, поддерживающие многопользовательский
режим работы, сопровождается документацией на русском языке
имеет русифицированный графический интерфейс пользователя. Для ее
использования необходимо иметь установленную систему X Window System,
графическую среду KDE и сервер баз данных с поддержкой транзакций MySQL.
Пакет ananas-engine необходимо установить, если вы собираетесь использовать
прикладное решение на платформе Ананас.

Разработчики
---------------
Валерий Гражданкин <vg at leaderit dot ru>
Андрей Паскаль <app at lrn dot ru>
Андрей Стрельников <avsone at yandex dot ru>
Павел Миколайчук <Pashik at bk dot ru>
Александр Ковалёв <cibfx at bk dot ru>
Григорий Панов <gr1313 at mail dot ru>

%package -n ananas-devel
Summary: Ananas development library. Static libs and C header files
Summary(ru_RU.UTF8):	Статические библиотеки и файлы определений на языке Cи.
Group: Development/Other

%description -n ananas-devel
Ananas development library. Static libs and C header files.

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>
Andrey Paskal <app at lrn dot ru>
Andrey Strelnikov <avsone at yandex dot ru>
Pavel Mikolaychuk <Pashik at bk dot ru>
Alexander Kovalyov <cibfx at bk dot ru>
Grigory Panov <gr1313 at mail dot ru>

%description -l ru_RU.UTF8 -n ananas-devel
Статические библиотеки и файлы определений на языке C++.
ananas-devel необходимо установить, если вы планируете использовать библиотеки
Ананаса в своей C/C++ программе. Если вы планируете использовать прикладное
решение на платформе Ананас, то пакет не нужно устанавливать.

Разработчики
---------------
Валерий Гражданкин <vg at leaderit dot ru>
Андрей Паскаль <app at lrn dot ru>
Андрей Стрельников <avsone at yandex dot ru>
Павел Миколайчук <Pashik at bk dot ru>
Александр Ковалёв <cibfx at bk dot ru>
Григорий Панов <gr1313 at mail dot ru>

%package -n ananas-inventory
Summary: Scripts, Documents and Reports templates of Inventory system
Summary(ru_RU.UTF8):	Прикладная настройка для ведения простого складского учета.
Group: Office

Requires: ananas-engine-qt >= %version
Requires: zip unzip

%description -n ananas-inventory
Scripts, Documents and Reports templates of Inventory Accounting system.

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>
Andrey Paskal <app at lrn dot ru>
Andrey Strelnikov <avsone at yandex dot ru>
Pavel Mikolaychuk <Pashik at bk dot ru>
Alexander Kovalyov <cibfx at bk dot ru>
Grigory Panov <gr1313 at mail dot ru>

%description -l ru_RU.UTF8 -n ananas-inventory
Прикладная настройка для ведения простого складского учета.

Разработчики
---------------
Валерий Гражданкин <vg at leaderit dot ru>
Андрей Паскаль <app at lrn dot ru>
Андрей Стрельников <avsone at yandex dot ru>
Павел Миколайчук <Pashik at bk dot ru>
Александр Ковалёв <cibfx at bk dot ru>
Григорий Панов <gr1313 at mail dot ru>

%package -n ananas-extensions
Summary(ru_RU.UTF8):	Набор плагинов для Ананаса.
Summary:	Ananas plugins collection.
Group:		Office
Group(ru_RU.UTF8):	Приложения/Учет и Финансы

Requires: ananas-engine-qt >= %version

%description -l ru_RU.UTF8 -n ananas-extensions
Набор плагинов для Ананаса.

Разработчики
---------------
Валерий Гражданкин <vg at leaderit dot ru>
Андрей Паскаль <app at lrn dot ru>
Андрей Стрельников <avsone at yandex dot ru>
Павел Миколайчук <Pashik at bk dot ru>
Александр Ковалёв <cibfx at bk dot ru>
Григорий Панов <gr1313 at mail dot ru>

%description -n ananas-extensions
Ananas plugins collection.

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>
Andrey Paskal <app at lrn dot ru>
Andrey Strelnikov <avsone at yandex dot ru>
Pavel Mikolaychuk <Pashik at bk dot ru>
Alexander Kovalyov <cibfx at bk dot ru>
Grigory Panov <gr1313 at mail dot ru>

%prep
%setup
find -type f | xargs %__subst "s|/usr/share/ananas/extensions|%_libdir/ananas/extensions|g"

%build
export PATH=${PATH}:%_qt3dir/bin
#./configure
# try to SMP build with workaround
%make_build || %make
make tr

%install
export PATH=${PATH}:%_qt3dir/bin

%make_install install INSTALL_ROOT="%buildroot" LIBDIR=%_libdir BINDIR=%_bindir DOCDIR=%_docdir/%name-%version INCLUDEDIR=%_includedir/ananas

mkdir -p %buildroot%_sysconfdir/ananas/
mkdir -p %buildroot%_datadir/ananas/{translations,templates,inventory}
mkdir -p %buildroot%_libdir/ananas/extensions
mkdir -p %buildroot{%_pixmapsdir,%_desktopdir}

cp -f translations/*.qm %buildroot%_datadir/ananas/translations
cp -f src/designer/templates/*.* %buildroot%_datadir/ananas/templates
cp -f applications/inventory/inventory.cfg %buildroot%_sysconfdir/ananas/
cp -f applications/inventory/inventory.rc %buildroot%_sysconfdir/ananas/
cp -f applications/inventory/inventory.sql %buildroot%_datadir/ananas/inventory
cp -f applications/inventory/inventory-demo.cfg %buildroot%_sysconfdir/ananas/
cp -f applications/inventory/inventory-demo.rc %buildroot%_sysconfdir/ananas/
cp -f applications/inventory/inventory-demo.sql %buildroot%_datadir/ananas/inventory
cp -f applications/inventory/inventory_pgsql.sql %buildroot%_datadir/ananas/inventory
cp -f applications/inventory/inventory_grouprc %buildroot%_sysconfdir/ananas
cp -f applications/inventory/templ_*.sxw %buildroot%_datadir/ananas/inventory
cp -f build/kde/images/ananas.png %buildroot%_pixmapsdir/
cp -f build/kde/images/ananas-designer.png %buildroot%_pixmapsdir/

cp -f build/kde/ananas.desktop %buildroot%_desktopdir/
cp -f build/kde/ananas-designer.desktop %buildroot%_desktopdir/

# replace binary with relatively link
rm -f %buildroot%_libdir/libananasplugin.so
ln -s qt3/plugins/designer/libananasplugin.so %buildroot%_libdir/libananasplugin.so

cp -f src/extensions/libaexttext.so %buildroot%_libdir/ananas/extensions/
cp -f src/extensions/libaextxml.so %buildroot%_libdir/ananas/extensions/
cp -f src/extensions/libaextte.so %buildroot%_libdir/ananas/extensions/
cp -f src/extensions/libaext_meta.so %buildroot%_libdir/ananas/extensions/

# FIXME: move install to make
install -m 0755 src/ananas/ananas %buildroot%_bindir/ananas
install -m 0755 src/admin/ananas-administrator %buildroot%_bindir/ananas-administrator
install -m 0755 src/webengine/ananas-webengine %buildroot%_bindir/ananas-webengine

%post
#creates system base for mysql
mysqlshow -u root| grep ananas_system > /dev/null || mysqladmin -u root create ananas_system || :
#touch %buildroot%_sysconfdir/ananas/groupsrc
%update_menus

%post -n ananas-inventory
#cat %_datadir/ananas/inventory/groupsrc >> %_sysconfdir/ananas/groupsrc
mysql -u root -e "create database ananas_inventory character set utf8" > /dev/null 2>&1 && mysql -u root ananas_inventory < %_datadir/ananas/inventory/inventory.sql || :
mysql -u root -e "create database ananas_inventory_demo character set utf8" > /dev/null 2>&1 && mysql -u root ananas_inventory_demo < %_datadir/ananas/inventory/inventory-demo.sql || :

%postun
%clean_menus

%postun -n ananas-inventory

%files
%_bindir/ananas
%_bindir/ananas-administrator
%_bindir/ananas-designer
%_bindir/ananas-webengine
%_libdir/libananas.so*
%_libdir/libananasplugin.so
%_qt3dir/plugins/designer/libananasplugin.so
%_qt3dir/plugins/sqldrivers/libqsqlmysqlu.so
%dir %_docdir/%name-%version/
%_docdir/%name-%version/ananas-*.sxw
%dir %_datadir/ananas/
%dir %_libdir/ananas/
%_datadir/ananas/translations/
%_datadir/ananas/templates/
%_pixmapsdir/ananas.png
%_pixmapsdir/ananas-designer.png
%_desktopdir/ananas.desktop
%_desktopdir/ananas-designer.desktop

%files -n ananas-devel
%_includedir/ananas/*.h
%_docdir/%name-%version/*.tex

%files -n ananas-inventory
%dir %_sysconfdir/ananas/
%_sysconfdir/ananas/inventory_grouprc
%_sysconfdir/ananas/inventory.*
%_sysconfdir/ananas/inventory-demo.*
%_datadir/ananas/inventory/

%files -n ananas-extensions
%dir %_libdir/ananas/extensions
%_libdir/ananas/extensions/libaexttext.so
%_libdir/ananas/extensions/libaextxml.so
%_libdir/ananas/extensions/libaextte.so
%_libdir/ananas/extensions/libaext_meta.so

%changelog
* Sat Jan 06 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt0.cvs20070106
- cvs build from 20070106
- rewrote spec, add packager
- add extensions package (place extensions to libdir/ananas)
- switch spec to utf8

* Sun May 28 2006 Valery Grazdankin <leader@altlinux.ru> 0.9.3-alt0.cvs20060528
  - Automatic generated cvs build

* Mon Mar 27 2006 Valery Grazdankin <leader@altlinux.ru> 0.9.3-alt1
  - Automatic generated cvs build

* Tue Feb 21 2006 Valery Grazdankin <leader@altlinux.ru> 0.9.2-alt1
  + Add ananas extensions plugin system.

* Thu Jan 05 2006 Grigory Panov <gr1313 at mail dot ru> 0.9.1-alt1
  + Merge with st05 branch

* Wed Jun 06 2005 Valery Grazdankin <leader@altlinux.ru> 0.4.2-alt1
  + Files list was changed in the inventory package

* Fri May 06 2005 Valery Grazdankin <leader@altlinux.ru> 0.4.2-alt1
  + Added support some configuration files

* Thu May 05 2005 Andrey Paskal <app at lrn dot ru> 0.4.2-alt1
  + rpm build procedure was changed. After install ananas-inventory.*rpm
  we can immediately to work with "Deport accouning" configuration ,
  by running ananas-engine.
  + Debugged (by gr) report procession in OpenOffice format under Linux.

* Sat Mar 19 2005 Grigory Panov <gr1313 at mail dot ru> 0.4.2-alt1
  + Added template in OpenOffice format for ananas-inventory
  + Added section for remove files and directories after deinstallation
  + Added ananas-engine-qt requires to ananas-inventory package

* Tue Mar 15 2005 Valery Grazdankin <leader@altlinux.ru> 0.4.2-alt1
  + File name ananasrc changed to groupsrc
  + groupsrc have Unix file format now

* Sun Nov 21 2004 Valery Grazdankin <leader@altlinux.ru> 0.4.2-alt1
  + Correct installation procedure

* Fri Nov 05 2004 Valery Grazdankin <leader@altlinux.ru> 0.4.2-alt1
  + Added spec file for build ALT Linux packages.
  + win32 version build completed. Ananas - is multitarget application now
